Get Service Mesh

Get Service Mesh
Get a service mesh.

Get a service mesh.

Request
URI
GET
https://{server}/hybridity/api/interconnect/serviceMesh/{serviceMeshId}
COPY
Path Parameters
string
serviceMeshId
Required

ServiceMesh ID


Authentication
This operation uses the following authentication methods.
Responses
200

Accepted

Returns serviceMeshGetResponse of type(s) application/json
This response body class contains all of the following: serviceMesh , InlineserviceMeshGetResponse1
{
    "serviceMeshId": "string",
    "name": "string",
    "isLocalMesh": false,
    "orchestratorInfo": {
        "type": "string",
        "info": {
            "srcSiteId": "string",
            "dstSiteId": "string",
            "mobilityMeshId": "string"
        }
    },
    "updateAvailable": false,
    "switchPairCount": [
        {
            "switches": [
                {
                    "cmpId": "string",
                    "id": "string",
                    "type": "string",
                    "name": "string",
                    "maxMtu": "number",
                    "l2cApplianceCount": "number",
                    "host": {
                        "id": "string",
                        "name": "string"
                    },
                    "status": {
                        "state": "string",
                        "errorMessage": "string"
                    }
                }
            ],
            "l2cApplianceCount": "number"
        }
    ],
    "wanoptConfig": {
        "uplinkMaxBandwidth": "number"
    },
    "services": [
        {
            "name": "string"
        }
    ],
    "computeProfiles": [
        {
            "endpointId": "string",
            "endpointName": "string",
            "computeProfileId": "string",
            "computeProfileName": "string",
            "locationType": "string",
            "smConsumptionInGB": 0,
            "overriddenUplink": false,
            "isInitiator": false,
            "networks": [
                {
                    "id": "string",
                    "name": "string",
                    "overriddenMtu": 0,
                    "tags": [
                        "string"
                    ]
                }
            ]
        }
    ],
    "trafficEnggCfg": {
        "isAppPathResiliencyEnabled": false,
        "isTcpFlowConditioningEnabled": false,
        "isEncryptionlessTunnelEnabledForMigration": false,
        "isEncryptionlessTunnelEnabledForNE": false,
        "groEnabled": false
    },
    "state": "string",
    "lastTaskDetails": {
        "interconnectTaskId": "string",
        "type": "string",
        "status": "string"
    },
    "status": {
        "timestamp": 0,
        "services": [
            {
                "serviceName": "string",
                "status": "string",
                "reason": [
                    "string"
                ]
            }
        ]
    }
}

401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/hybridity/api/interconnect/serviceMesh/{serviceMeshId}